## scoary 1.6.16

=== requirements.txt ===
scipy
argparse
ete3
six

=== debian/changelog ===
scoary (1.6.16-2) unstable; urgency=medium

  * Switch (Build-)Depends from Python2 to Python3
    Closes: #938447
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Sat, 14 Sep 2019 00:37:02 +0200

scoary (1.6.16-1) unstable; urgency=medium

  * Initial release (Closes: #920857)

 -- Andreas Tille <tille@debian.org>  Tue, 29 Jan 2019 22:07:27 +0100

=== debian/control ===
Source: scoary
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-scipy (>= 0.16),
               python3-nose <!nocheck>
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/med-team/scoary
Vcs-Git: https://salsa.debian.org/med-team/scoary.git
Homepage: https://github.com/AdmiralenOla/Scoary

Package: scoary
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources,
         python3-scipy
Suggests: roary
Description: pangenome-wide association studies
 Scoary is designed to take the gene_presence_absence.csv file from
 Roary as well as a traits file created by the user and calculate the
 associations between all genes in the accessory genome and the traits. It
 reports a list of genes sorted by strength of association per trait.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "Test data are missing so we can not test"
endif

=== debian/tests/control ===
Test-Command: cd $ADTTMP && scoary --test

=== debian/watch ===
version=4

https://github.com/AdmiralenOla/Scoary/releases/latest .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@
